
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>stack overflow的好问题 - java篇 / 憋错料</title>

    <meta name="description" content="stack overflow的好问题 - java篇 问题 &amp; 答案 1.怎样交换一个字符串中的两个字段? Q:问题描述:怎样交换 foo 和 bar 的位置? String word1 = &quot;bar&quot;; String word2 = &quot;foo&quot;; String story = &quot;Once upon a time, there was a foo and a bar.&quot; 解决办法: 1). 使用中间变量的方式. story = story.replace(&quot;foo&quo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">stack overflow的好问题 - java篇</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>问题 &amp; 答案</strong></p>
<p><strong><em>1.怎样交换一个字符串中的两个字段？</em></strong></p>
<p><em>Q:问题描述：怎样交换 foo 和 bar 的位置？</em></p>
<pre>String word1 = "bar";
String word2 = "foo";
String story = "Once upon a time, there was a foo and a bar."</pre>
<p>解决办法：</p>
<p>1). 使用中间变量的方式。</p>
<pre>story = story.replace("foo", "lala");
story = story.replace("bar", "foo");
story = story.replace("lala", "bar");</pre>
<p>弊端：需要保证作为中间变量的字符串没有出现过；本来只需要进行一次交换，但这个方法进行了三次操作！</p>
<p>2). 使用StringUtils工具类方法</p>
<pre>StringUtils.replaceEach(story, new String[]{"foo", "bar"}, new String[]{"bar", "foo"})</pre>
<p><em><strong>&nbsp;2.一个Java类中，只定义变量，没有赋值，会消耗内存么？</strong></em></p>
<p>A：会。即使没有赋值，也会有默认值。例如int i;和int i=0;的效果是一样的。</p>
<p>对于定义在方法内部的局部变量，没有给出明确答案。有人给出这样的代码：</p>
<pre>public static void main(String[] args) {
    int i;  // ignored
    int j = 5;
    String s = "abc";
    String sNull; // ignored
}</pre>
<p>二进制代码：</p>
<pre>  LocalVariableTable:
        Start  Length  Slot  Name   Signature
            0       6     0  args   [Ljava/lang/String;
            2       4     2     j   I
            5       1     3     s   Ljava/lang/String;
   }</pre>
<p>jvm忽略了i,sNull,所以有人认为方法内部没有赋值的局部变量不消耗内存；</p>
<p>但是，也有人认为，slot 只列出了0,2,3位置，而没有列出slot 1，而这个位置，正是给i留出来的。所以，他认为消耗内存。</p>
<p><em><strong>&nbsp;3.在构造器中调用可覆写方法，有什么错误？</strong></em></p>
<p>首先明确一点，这种调用方法不一定报错，某些严格要求的IDE会给出warning.</p>
<pre>public class ConstructorMethod {
    abstract static class Base{
        Base(){
            info();
            System.out.println("base class constructor running");
        }
        abstract void info();
    }
    static class Son extends Base{
        public void info(){
            System.out.println("Son class method running");
        }
        Son(){
            super();
            System.out.println("son class constructor running");
        }
    }
    public static void main(String[] args) {
        Son s=new Son();
        /*Son class method running
        * base class constructor running
        * son class constructor running
        * Son类的方法在Son对象未创立之前就被调用了*/
    }
}</pre>
<p>上面的例子，可以通过编译、运行，但是在一些情况下，构造器里有可覆写的方法，可能引发异常：</p>
<pre>public class ConstructorMethod2 {
    abstract static class A{
        private A a;
        A(){
            add(a);//注释掉这一行，可以消除空指针异常
        }
        abstract void add(A a);
    }
    static class B extends A{
        List&lt;A&gt; bList=new ArrayList&lt;A&gt;();
        private B b;
        B(){
        }
        void add(A a){
            bList.add(b);
        }
    }
    public static void main(String[] args) {
        B b=new B();
    }
}</pre>
<p>上面的例子，引发了空指针异常：java.lang.NullPointerException。</p>
<p>总之，构造器中尽量不要调用可覆写方法的原因是：我们不知道子类会去怎样实现这些方法！</p>
<p><strong>来自：</strong></p>
<p>1.<a href="http://stackoverflow.com/questions/26791441/how-can-i-replace-two-strings-in-a-way-that-one-does-not-end-up-replacing-the-ot" rel="external nofollow noreferrer">How can I replace two strings in a way that one does not end up replacing the other?</a></p>
<p>2.<a href="http://stackoverflow.com/questions/26632799/do-unused-local-variables-in-a-method-acquire-memory-in-jvm" rel="external nofollow noreferrer">Do unused local variables in a method acquire memory in JVM?</a></p>
<p>3.<a href="http://stackoverflow.com/questions/3404301/whats-wrong-with-overridable-method-calls-in-constructors" rel="external nofollow noreferrer">What‘s wrong with overridable method calls in constructors?</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 06:39:25 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>stack overflow的好问题 - java篇的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AWaQy0.html" rel="bookmark">玩转 Stack Overflow 之提问篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Stack Overflow是世界上最大的编程类问答网站, 大多数程序员或多或少和它有所接触: 即使你从来没有在它上面提问或回答过, 别忘了, 在搜索很多技术问题的时候, 结果的第一页往往就有几条链接到Stack Overflow的问题. 很 多人对于Stack Overflow的第一印象是: 很多编程问题都能在上面找到专业的答案, 太牛了. 但当问题没有找到合适答案, 而去上面提新问题的时候, 可能有人会发现自己的问题被残忍的 downvote,甚至被关闭.最后被删除.更有甚者, 发现自己被禁			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MB7Jj0.html" rel="bookmark">&lpar;转&rpar;Stack Overflow 2016最新架构探秘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要揭秘 Stack Overflow 截止到 2016 年的技术架构. 首先给出一个直观的数据,让大家有个初步的印象. 相比于 2013 年 11 月,Stack Overflow 在 2016 年 02 月统计数据有较大变化,下面给出 2016 年 02 月 09 号一天的数据,如下: HTTP 请求数 209,420,973 (+61,336,090) 网页加载次数 66,294,789 (+30,199,477) HTTP 流量发送有1,240,266,346,053 (+406			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x8oWj0.html" rel="bookmark">Stack Overflow 上排名前十的与API相关的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Stack Overflow是一个庞大的编程知识仓库,在Stack Overflow 上,数百万的提问被回答,并且这些回答都是高质量的.这就是为什么在Google搜索结果的排行榜上,Stack Overflow 总是位居首位. 虽然Stack Overflow上有非常多的提问,但是仍然每天都有大量的问题被提出,其中的很多都等待解答或者没有得到好的解答.因此,问题是如何找到答案的,通过Stack Overflow是不够的. 随着成千上万的开发者使用Java的API并且在Github上分享他们的项目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPD25DM.html" rel="bookmark">Stack Overflow 2016最新架构探秘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要揭秘 Stack Overflow 截止到 2016 年的技术架构. 首先给出一个直观的数据,让大家有个初步的印象. 相比于 2013 年 11 月,Stack Overflow 在 2016 年 02 月统计数据有较大变化,下面给出 2016 年 02 月 09 号一天的数据,如下: HTTP 请求数 209,420,973 (+61,336,090) 网页加载次数 66,294,789 (+30,199,477) HTTP 流量发送有1,240,266,346,053 (+406			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dyeJ93.html" rel="bookmark">Stack Overflow上59万浏览量的提问：为什么会发生ArrayIndexOutOfBoundsException？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在逛 Stack Overflow 的时候,发现了一些访问量像昆仑山一样高的问题,比如说这个:为什么会发生 ArrayIndexOutOfBoundsException?这样看似简单到不值得一问的问题,访问量足足有 69万+,这不得了啊!说明有不少的初级程序员被这个问题困扰过.实话实说吧,我也有点吃不准为什么. 来回顾一下提问者的问题: ArrayIndexOutOfBoundsException 究竟意味着什么?我该如何摆脱这个错误. 如果你也曾被这个问题困扰过,或者正在被困扰,就请随我一起来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/W0jOkW3.html" rel="bookmark">Stack Overflow 2017 开发者调查报告</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Stack Overflow 发布了 2017 开发者调查报告,此次有超过 64,000 名开发人员参与调查,分别对其技能.工具.学习趋势等数据进行了统计,现将其中一些有趣的数据和趋势撷取出来分享给大家. 一.开发角色 开发类型 大约有四分之三的受访者是 web 开发人员,不过这其中也有许多人表示正在努力构建桌面应用和移动应用. 具体开发类型 二.开发经验 Web 和移动开发人员平均而言,比其他技术学科的开发人员(如系统管理和嵌入式编程)的专业编码经验要少得多.软件行业是新人才的主要孵化器,经验			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nj8QJ4.html" rel="bookmark">Stack的三种含义（数据超过栈的大小，就发生stack overflow）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				非常典型的基础知识,转自http://www.ruanyifeng.com/blog/2013/11/stack.html 学习编程的时候,经常会看到stack这个词,它的中文名字叫做&quot;栈&quot;. 理解这个概念,对于理解程序的运行至关重要.容易混淆的是,这个词其实有三种含义,适用于不同的场合,必须加以区分. 含义一:数据结构 stack的第一种含义是一组数据的存放方式,特点为LIFO,即后进先出(Last in, first out). 在这种数据结构中,数据像积木那样一层层堆起来,后面加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZN78D3.html" rel="bookmark">Stack Overflow&colon; The Architecture - 2016 Edition</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				To get an idea of what all of this stuff “does,” let me start off with an update on the average day at Stack Overflow. So you can compare to theprevious numbers from November 2013, here’s a day of statistics from February 9th, 2016 with differences s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXDYrqM.html" rel="bookmark">国内为什么没有好的 Stack Overflow 的模仿者？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				国内为什么没有好的 Stack Overflow 的模仿者? 个人觉得, 高端的程序员会直接上stackoverflow提问, 所以国内中文的stackoverflow必然面对低端程序员. 鉴于中国程序员平均水平, 个人觉得面向低端程序员的中文stackoverflow有存在的价值. 搭建站点的技术难度其实不高, 能够完成这个任务的社区也很多, 但是为什么现在没有特别出众的出现? 3 条评论 分享 按投票排序按时间排序 43 个回答 赞同26反对,不会显示你的姓名 王雷,程序员.创业者 韩伟.M			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02bZPo0.html" rel="bookmark" class="title">需求说明书&plus;软件概要设计&plus;软件详细设计</a>
					<div>
						&lt;基于物联网的车内安防系统项目需求说明书+系统概要说明+系统详细说明&gt; 队长:邢正080     队员:董冰068   许国庆079   张琦057   曹华058 ①需求说明书部分: 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzaymd4.html" rel="bookmark" class="title">高效工作---高效利用快捷键实现截图与画图</a>
					<div>
						第一步:设置截图工具快捷键 具体步骤:开始-&gt;所有程序-&gt;附件-&gt;截图工具-&gt;&quot;右击&quot;出现属性并选择-&gt;设置快捷键-&gt;此处我设置为&quot;C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QWKY20.html" rel="bookmark" class="title">事件委托应用：在父控件中创建子控件，并接收值</a>
					<div>
						传值过程使用委托方法 定义一个打开按扭,一个文本框 1 /// &lt;summary&gt; 2 /// 增加父控件 3 /// &lt;/summary&gt; 4 public void Add ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mXJoM.html" rel="bookmark" class="title">前端必会的js知识总结整理</a>
					<div>
						1.晨曦. 2.js是一门什么样的语言及特点? js是一种基于对象和事件驱动的并具有相对安全性的客户端脚本语言.也是一种广泛用于web客户端开发的脚本语言,常用来给html网页添加动态功能,如响应用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX7xOq4.html" rel="bookmark" class="title">Yarn 包管理工具</a>
					<div>
						Yarn 包管理工具 介绍: Facebook出的,因为 node自带的 npm 包管理工具有缺陷 直接用 Yarn官网 的描述 : (注:查看官网的文档和下载安装包可能需要科学上网) 下载, 安装, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQ1ld4.html" rel="bookmark" class="title">ORM要用到的数组转对象和对象转数组函数</a>
					<div>
						&lt;?php function array2object($array) { if (is_array($array)) { $obj = new StdClass(); foreach ($ar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02Lrvz4.html" rel="bookmark" class="title">Max Sub-matrix</a>
					<div>
						Max Sub-matrix 教练找的题目,目前样列过了 题意:找子矩阵的最大周长 思路:先离散每列,再枚举列(n*n),在当前枚举的两列之间求每行的和(n*n*n),但是开两个数组,一个包含两列上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wE6vQM.html" rel="bookmark" class="title">&lbrack;hdu 5354&rsqb; Bipartite Graph 分治 并查集</a>
					<div>
						题意 给定一张 $n$ 个点, $m$ 条边的无向图. 问删去每个点后, 原图是不是二分图. $1 \le n, m \le {10} ^ 5$ . 分析 一个图是二分图 $\Leftrightarr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xr99B4.html" rel="bookmark" class="title">创建一个git</a>
					<div>
						创建一个Git 第一步:下载最新的git包 https://git-scm.com/downloads 第二步:配置你的名字 $git config --global user.name &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpw7E3.html" rel="bookmark" class="title">大龙谈字符串截取</a>
					<div>
						1.进入短信界面 2.菜单-设置 3.修改短信中心号码(Set the SIM's smsc number) 保存 [测试结果]:提示保存成功,但是号码没有改变,退出重新进入设置才会看到号码更新 [预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgEJQO3.html" rel="bookmark" class="title">测试方法【总结】</a>
					<div>
						测试方法 从测试设计方法分类 测试名称 测试内容 黑盒测试 把软件系统当作一个黑箱,无法了解或使用系统内部结构及知识 白盒测试 设计者可以看到软件系统的内部结构,并且使用软件的内部知识来指导测试数据及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyoKke3.html" rel="bookmark" class="title">解决IllegalArgumentException&colon;The observer is null 错误</a>
					<div>
						今天做了一个通讯录用到了viewpager和expandlistview 共同使用.然后其他手机还算正常.在4.0.3系统上,会报IllegalArgumentException:The observ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeXwv0.html" rel="bookmark" class="title">微信公众平台开发（六） 翻译功能开发</a>
					<div>
						原文地址:http://www.cnblogs.com/mchina/p/3170565.html 一.简介 上一篇文章介绍了微信公众平台天气预报功能的开发,实现了微信公众平台的第一个实际应用,在接下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjGk10.html" rel="bookmark" class="title">PHP获取汉字的拼音&lpar;全部与首字母&rpar;（转载）</a>
					<div>
						1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLxxrWM.html" rel="bookmark" class="title">矩形相交判断超简单方法</a>
					<div>
						设矩形A(xa1,ya1),(xa2,ya2),B(xb1,yb1),(xb2,yb2) 其中: xa1&lt;=xa2,ya1&lt;=ya2 xb1&lt;=xb2,yb1&lt;=yb2 先看线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49Ov2v0.html" rel="bookmark" class="title">Eclipse中Java项目转换为Web项目</a>
					<div>
						刚创建完的Java Project是这样的 右键项目名,找到这个地方 修改下方的 Default output folder 为 Vehicle-Report/WebContent/WEB-INF/c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pGgWV3.html" rel="bookmark" class="title">Java Map用法</a>
					<div>
						Map简介 将键映射到值的对象.一个映射不能包含重复的键:每个键最多只能映射到一个值.此接口取代 Dictionary类,后者完全是一个抽象类,而不是一个接口. Map 接口提供三种collectio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MznxQOM.html" rel="bookmark" class="title">hdu1540 &amp;amp&semi;&amp;amp&semi; POJ2892 Tunnel Warfare</a>
					<div>
						[比赛提醒]BestCoder 你报名了吗?(点击报名) [科普]什么是BestCoder?如何参加? Tunnel Warfare Time Limit: 4000/2000 MS (Java/Ot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J2aAV4.html" rel="bookmark" class="title">《C&plus;&plus;Primer》复习&mdash;&mdash;with C&plus;&plus;11    &lbrack;1&rsqb;</a>
					<div>
						1.头文件中不应包含using声明,因为头文件的内容会拷贝到所有引用到他的文件中去,如果头文件里有谋个using声明,那么每个使用了该头文件的文件就会有这个声明,由于不经意间包含了一些名字,反而可能产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX1vE80.html" rel="bookmark" class="title">动态规划之01背包问题&lpar;含代码C&rpar;</a>
					<div>
						1.动态规划的基本思想 动态规划算法通常用于求解具有某种最优性质的问题.其基本思想也是将待求解问题分解成若干个子问题,先求解子问题,然后从这些子问题的解得到原问题的解.与分治法不同的是,适合于用动态规 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
